N=29;
Fs=800;

%% Perform batch HRV analysis
results_matrix_ecg = cell(N, 12);
results_matrix_scg = results_matrix_ecg;
results_matrix_gcg = results_matrix_ecg;

HRVparams = InitializeHRVparams('MECG');
HRVparams.Fs = 800;


for i = 1:N
    
    load(sprintf('nn_positions_sub%d', i));

    tnn = qrs_pos/Fs;
    nn = rr_ints/1000;
    [clean_nn, clean_tnn] = RRIntervalPreprocess(nn, tnn, [], HRVparams);
    out = calculate_hrv_indices(clean_nn, clean_tnn);
    
    subject_id = sprintf('subject_%d', i);
    hrv_indices_row = {subject_id, out.NNmean out.SDNN out.RMSSD ...
        out.pnn50 out.vlf, out.lf, out.hf, out.lfhf, out.SD1, out.SD2, out.SD1SD2};
    
    results_matrix_ecg(i, :) = hrv_indices_row;

    tnn = scg_pos/Fs;
    nn = scg_nn_ints/1000;
    [clean_nn, clean_tnn] = RRIntervalPreprocess(nn, tnn, [], HRVparams);
    out = calculate_hrv_indices(clean_nn, clean_tnn);
    
    subject_id = sprintf('subject_%d', i);
    hrv_indices_row = {subject_id, out.NNmean out.SDNN out.RMSSD ...
        out.pnn50 out.vlf, out.lf, out.hf out.lfhf, out.SD1, out.SD2, out.SD1SD2};
    results_matrix_scg(i, :) = hrv_indices_row;

    tnn = gcg_pos/Fs;
    nn = gcg_nn_ints/1000;
    [clean_nn, clean_tnn] = RRIntervalPreprocess(nn, tnn, [], HRVparams);
    out = calculate_hrv_indices(clean_nn, clean_tnn);
    
    subject_id = sprintf('subject_%d', i);
    hrv_indices_row = {subject_id, out.NNmean out.SDNN out.RMSSD ...
        out.pnn50 out.vlf, out.lf, out.hf out.lfhf, out.SD1, out.SD2, out.SD1SD2};
    results_matrix_gcg(i, :) = hrv_indices_row;
end

variable_names = {'Subject', 'AVNN', 'SDNN', ...
'RMSSD', 'pNN50', 'vlf', 'lf', 'hf', 'lfhf', 'SD1', 'SD2', 'SD1SD2'};
hrv_analysis_results_ecg = cell2table(results_matrix_ecg, 'VariableNames', variable_names);
hrv_analysis_results_scg = cell2table(results_matrix_scg, 'VariableNames', variable_names);
hrv_analysis_results_gcg = cell2table(results_matrix_gcg, 'VariableNames', variable_names);

writetable(hrv_analysis_results_ecg, 'HRV_indices_ECG_preprocessed_healthy.csv');
writetable(hrv_analysis_results_scg, 'HRV_indices_SCG_preprocessed_healthy.csv');
writetable(hrv_analysis_results_gcg, 'HRV_indices_GCG_preprocessed_healthy.csv');