%load('HRV_indices_whole_dbase1.mat');
%load('HRV_indices_windowed_dbase1.mat');

ECG_indices = hrv_analysis_results_ecg;
SCG_indices = hrv_analysis_results_scg;

[r_avnn, p_avnn] = corr(ECG_indices.AVNN, SCG_indices.AVNN);
[r_sdnn, p_sdnn] = corr(ECG_indices.SDNN, SCG_indices.SDNN);
[r_rmssd, p_rmssd] = corr(ECG_indices.RMSSD, SCG_indices.RMSSD);
[r_pnn50, p_pnn50] = corr(ECG_indices.pNN50, SCG_indices.pNN50);
[r_vlf, p_vlf] = corr(ECG_indices.vlf, SCG_indices.vlf);
[r_lf, p_lf] = corr(ECG_indices.lf, SCG_indices.lf);
[r_hf, p_hf] = corr(ECG_indices.hf, SCG_indices.hf);
[r_lfhf, p_lfhf] = corr(ECG_indices.lfhf, SCG_indices.lfhf);
[r_sd1, p_sd1] = corr(ECG_indices.SD1, SCG_indices.SD1);
[r_sd2, p_sd2] = corr(ECG_indices.SD2, SCG_indices.SD2);
[r_sd1sd2, p_sd1sd2] = corr(ECG_indices.SD1SD2, SCG_indices.SD1SD2);

columns = {'R coefficient', 'p-value'};
rows = {'AVNN', 'SDNN', 'RMSSD', 'pNN50', 'VLF', 'LF', 'HF', 'LF/HF', 'SD1', 'SD2', 'SD1/SD2'};
rcoeffs = [r_avnn; r_sdnn; r_rmssd; r_pnn50; r_vlf; r_lf; r_hf; r_lfhf; r_sd1; r_sd2; r_sd1sd2];
pvalues = [p_avnn; p_sdnn; p_rmssd; p_pnn50; p_vlf; p_lf; p_hf; p_lfhf; p_sd1; p_sd2; p_sd1sd2];

escg_correlations_table = table(rcoeffs, pvalues, 'RowNames', rows, 'VariableNames', columns);

%% dla EKG-ZKG
GCG_indices = hrv_analysis_results_gcg;

[r_avnn, p_avnn] = corr(ECG_indices.AVNN, GCG_indices.AVNN);
[r_sdnn, p_sdnn] = corr(ECG_indices.SDNN, GCG_indices.SDNN);
[r_rmssd, p_rmssd] = corr(ECG_indices.RMSSD, GCG_indices.RMSSD);
[r_pnn50, p_pnn50] = corr(ECG_indices.pNN50, GCG_indices.pNN50);
[r_vlf, p_vlf] = corr(ECG_indices.vlf, GCG_indices.vlf);
[r_lf, p_lf] = corr(ECG_indices.lf, GCG_indices.lf);
[r_hf, p_hf] = corr(ECG_indices.hf, GCG_indices.hf);
[r_lfhf, p_lfhf] = corr(ECG_indices.lfhf, GCG_indices.lfhf);
[r_sd1, p_sd1] = corr(ECG_indices.SD1, GCG_indices.SD1);
[r_sd2, p_sd2] = corr(ECG_indices.SD2, GCG_indices.SD2);
[r_sd1sd2, p_sd1sd2] = corr(ECG_indices.SD1SD2, GCG_indices.SD1SD2);

columns = {'R coefficient', 'p-value'};
rows = {'AVNN', 'SDNN', 'RMSSD', 'pNN50', 'VLF', 'LF', 'HF', 'LF/HF', 'SD1', 'SD2', 'SD1/SD2'};
rcoeffs = [r_avnn; r_sdnn; r_rmssd; r_pnn50; r_vlf; r_lf; r_hf; r_lfhf; r_sd1; r_sd2; r_sd1sd2];
pvalues = [p_avnn; p_sdnn; p_rmssd; p_pnn50; p_vlf; p_lf; p_hf; p_lfhf; p_sd1; p_sd2; p_sd1sd2];

egcg_correlations_table = table(rcoeffs, pvalues, 'RowNames', rows, 'VariableNames', columns);
